﻿using Padsurface.App.Services.Interfaces;
using System;
using System.Collections.Generic;

namespace Padsurface.App.Tests.Unit.Stubs
{
    public class NavigationServiceStub : INavigationService
    {
        public List<Type> NavigatedPages { get; set; }

        public NavigationServiceStub()
        {
            NavigatedPages = new List<Type>();
        }

        public bool Navigate(Type sourcePageType)
        {
            NavigatedPages.Add(sourcePageType);

            return true;
        }

        public bool Navigate(Type sourcePageType, object parameter)
        {
            NavigatedPages.Add(sourcePageType);

            return true;
        }

        public bool GoBack()
        {
            throw new NotImplementedException();
        }
    }
}
