﻿using Padsurface.Audio.Song.Model;
using Padsurface.Audio.Song.Services.Interfaces;
using System;
using System.Threading.Tasks;

namespace Padsurface.App.Tests.Unit.Stubs
{
    public class SongLoaderStub : ISongLoader
    {
        public Song LoadResult { get; set; }
        public event EventHandler SongLoaded;

        public Task<Audio.Song.Model.Song> Load(Windows.Storage.StorageFile storageFile)
        {
            if (SongLoaded != null)
                SongLoaded(this, EventArgs.Empty);

            return new Task<Audio.Song.Model.Song>(() => LoadResult);
        }
    }
}
