﻿using System;
using System.IO;

namespace Padsurface.App.ViewModels.Start
{
    public class SongProjectViewModel
    {
        public string Name { get; private set; }
        public string FilePath { get; private set; }

        public SongProjectViewModel(string filePath)
        {
            if (string.IsNullOrWhiteSpace(filePath)) throw new ArgumentNullException("filePath");

            FilePath = filePath;
            Name = Path.GetFileNameWithoutExtension(filePath);
        }
    }
}
