﻿using System;
using System.Threading.Tasks;

namespace Padsurface.Audio.Engine.Interfaces
{
    public interface IMetronome
    {
        /// <summary>
        /// TimeSpan is the elapsed time
        /// </summary>
        event EventHandler<TimeSpan> OnTick;

        bool CanStart { get; }

        Task<bool> Start();
        Task<bool> Stop();
        void Reset();
    }
}
