﻿using System;
using Padsurface.Audio.Wave;

namespace Padsurface.Audio.Song.Model
{
    public class RecordedSound
    {
        public double Beat { get; private set; }
        public Sound Sound { get; private set; }

        public RecordedSound(double beat, Sound sound)
        {
            if (sound == null) throw new ArgumentNullException("sound");

            Beat = beat;
            Sound = sound;
        }
    }
}
