﻿using Padsurface.CoreAudio.Components.MMDevice.Interfaces;
using System;

namespace Padsurface.CoreAudio.Tests.Unit.Components.ActivateAudioInterfaceCompletionHandlerSpecifications
{
    public class ActivateAudioInterfaceAsyncOperationStub : IActivateAudioInterfaceAsyncOperation
    {
        private int _getActivateResult;

        public ActivateAudioInterfaceAsyncOperationStub(int getActivateResult)
        {
            _getActivateResult = getActivateResult;
        }

        public int GetActivateResult(out int activateResult, out object activatedInterface)
        {
            activateResult = _getActivateResult;
            activatedInterface = new object();

            return _getActivateResult;
        }
    }
}
