﻿
namespace Padsurface.CoreAudio.Enumerations
{
    /// <summary>
    /// The sharing mode for a stream
    /// </summary>
    public enum AudioClientShareMode
    {
        /// <summary>
        /// The audio stream will run in shared mode
        /// </summary>
        Shared = 0,

        /// <summary>
        /// The audio stream will run in exclusive mode
        /// </summary>
        Exclusive = 1
    }
}
