echo Load VS2012 command prompt environment
call "C:\Program Files (x86)\Microsoft Visual Studio 11.0\VC\vcvarsall.bat"

echo Clear build output
rmdir /S /Q "..\BuildOutput"

echo Build
cd "..\Padsurface.App"
MSBuild padsurface.app.csproj /t:rebuild /p:Configuration=Release /p:OutDir=..\BuildOutput\

echo Save package output path
cd "..\BuildOutput\padsurface.app\AppPackages\padsurface.app_0.0.0.1_AnyCPU_Test"
set PackageOutputDir=%CD%

echo Validate package
call "C:\Program Files (x86)\Windows Kits\8.0\App Certification Kit\appcert.exe" reset
call "C:\Program Files (x86)\Windows Kits\8.0\App Certification Kit\appcert.exe" test -apptype windowsstoreapp -AppxPackagePath %PackageOutputDir%\padsurface.app_0.0.0.1_AnyCPU.appx -reportoutputpath %PackageOutputDir%\..\..\..\ValidationResults.xml

echo Display validation results
copy %appdata%\..\Local\Microsoft\AppCertKit\ValidationResults.htm %PackageOutputDir%\..\..\..\
%PackageOutputDir%\..\..\..\ValidationResults.htm

echo Script done
pause