﻿using System.Collections.Generic;
using Windows.Foundation;
using Windows.Storage;

namespace Padsurface.App.Services.Interfaces
{
    public interface IFilePicker
    {
        IAsyncOperation<StorageFile> OpenSingleWaveFileAsync();
        IAsyncOperation<StorageFile> OpenSingleSongFileAsync();
        IAsyncOperation<IReadOnlyList<StorageFile>> OpenMultipleWaveFilesAsync();

        IAsyncOperation<StorageFile> SaveWaveFileAsync(string suggestedFileName = null);
        IAsyncOperation<StorageFile> SaveSongFileAsync(string suggestedFileName = null);
    }
}
