﻿using System.Collections.ObjectModel;

namespace Padsurface.App.Views
{
    public class DesignTimeData
    {
        public DesignTimeData()
        {
            LoadPadViewModel();
        }

        #region PadViewModel

        private void LoadPadViewModel()
        {
            Sounds = new ObservableCollection<SoundViewModelStub>();
            Sounds.Add(new SoundViewModelStub { Name = "Kick" });
            Sounds.Add(new SoundViewModelStub { Name = "Hi-hat" });
            Sounds.Add(new SoundViewModelStub { Name = "Snare" });
            Sounds.Add(new SoundViewModelStub { Name = "Tom" });
        }

        public ObservableCollection<SoundViewModelStub> Sounds { get; private set; }
        public bool IsPlaying { get { return true; } }
        public bool IsSampling { get { return true; } }
        public bool IsRecordingPerformance { get { return true; } }
        public bool IsMicrophoneDisabled { get { return false; } }
        public double CurrentBeat { get { return 2; } }

        public class SoundViewModelStub
        {
            public string Name { get; set; }
        }

        #endregion
    }
}
