﻿using Padsurface.Audio.Engine.Interfaces;
using System;
using System.Threading.Tasks;

namespace Padsurface.Audio.Tests.Unit.Stubs
{
    public class MetronomeStub : IMetronome
    {
        public event EventHandler<TimeSpan> OnTick;

        private void MetronomeStub_OnTick(object sender, TimeSpan e)
        {
            if (OnTick != null)
                OnTick(sender, e);
        }

        public bool CanStart
        {
            get { throw new NotImplementedException(); }
        }

        public Task<bool> Start()
        {
            throw new NotImplementedException();
        }

        public Task<bool> Stop()
        {
            throw new NotImplementedException();
        }

        public void Reset()
        {
            throw new NotImplementedException();
        }
    }
}
