﻿using System.Threading.Tasks;

namespace Padsurface.Audio.Engine.Interfaces
{
    public interface IMetronomeState
    {
        bool CanStart { get; }

        Task<bool> Start(Metronome context);
        Task<bool> Stop(Metronome context);
        void Reset(Metronome context);
    }
}
