﻿using Padsurface.Audio.Wave;
using System;

namespace Padsurface.Audio.Song.Model
{
    public class Sound
    {
        public WaveFileOutput WaveFileOutput{ get; private set; }

        public string Name 
        { 
            get { return WaveFileOutput.Name; } 
        }

        public Sound(WaveFileOutput waveFileOutput)
        {
            if (waveFileOutput == null) throw new ArgumentNullException("waveFileOutput");

            WaveFileOutput = waveFileOutput;
        }

        public void Play()
        {
            WaveFileOutput.StartPlaying();
        }
    }
}
