﻿
namespace Padsurface.CoreAudio.Components.WASAPI
{
    /// <summary>
    /// Source for values http://msdn.microsoft.com/ja-jp/library/ee416798(v=vs.85).aspx
    /// </summary>
    public class HResultCodes
    {
        public const uint AUDCLNT_E_NOT_INITIALIZED  = 0x88890001;
        public const uint AUDCLNT_E_ALREADY_INITIALIZED = 0x88890002;
        public const uint AUDCLNT_E_WRONG_ENDPOINT_TYPE = 0x88890003;
        public const uint AUDCLNT_E_DEVICE_INVALIDATED = 0x88890004 ;
        public const uint AUDCLNT_E_NOT_STOPPED = 0x88890005 ;
        public const uint AUDCLNT_E_BUFFER_TOO_LARGE  = 0x88890006 ;
        public const uint AUDCLNT_E_OUT_OF_ORDER  = 0x88890007 ;
        public const uint AUDCLNT_E_UNSUPPORTED_FORMAT = 0x88890008;
        public const uint AUDCLNT_E_INVALID_SIZE = 0x88890009 ;
        public const uint AUDCLNT_E_DEVICE_IN_USE = 0x8889000a ;
        public const uint AUDCLNT_E_BUFFER_OPERATION_PENDING = 0x8889000b ;
        public const uint AUDCLNT_E_THREAD_NOT_REGISTERED = 0x8889000c ;
        public const uint AUDCLNT_E_NO_SINGLE_PROCESS = 0x8889000d ;
        public const uint AUDCLNT_E_EXCLUSIVE_MODE_NOT_ALLOWED = 0x8889000e ;
        public const uint AUDCLNT_E_ENDPOINT_CREATE_FAILED = 0x8889000f ;
        public const uint AUDCLNT_E_SERVICE_NOT_RUNNING = 0x88890010 ;
        public const uint AUDCLNT_E_EVENTHANDLE_NOT_EXPECTED = 0x88890011 ;
        public const uint AUDCLNT_E_EXCLUSIVE_MODE_ONLY = 0x88890012 ;
        public const uint AUDCLNT_E_BUFDURATION_PERIOD_NOT_EQUAL = 0x88890013 ;
        public const uint AUDCLNT_E_EVENTHANDLE_NOT_SET = 0x88890014 ;
        public const uint AUDCLNT_E_INCORRECT_BUFFER_SIZE = 0x88890015 ;
        public const uint AUDCLNT_E_BUFFER_SIZE_ERROR = 0x88890016 ;
        public const uint AUDCLNT_E_CPUUSAGE_EXCEEDED = 0x88890017;
    }
}
