﻿using System;

namespace Padsurface.CoreAudio.MultiMediaStructures
{
    public class WaveFormatTags
    {
        /// <summary>
        ///  PCM format
        /// </summary>
        public const UInt16 Pcm = 0x0001;

        /// <summary>
        /// IEEE floating point 
        /// </summary>
        public const UInt16 IeeeFloat = 0x0003;

        /// <summary>
        /// PCM/IEEE format in WAVEFORMATEXTENSIBLE structure 
        /// </summary>
        public const UInt16 Extensible = 0xFFFE; 
    }
}
